<?php 
// Подключаем основные классы
require_once('main_classes.php');

$kernel = & singleton('kernel');

// Загрузка модулей
$kernel->LoadModules();

$site = new site();

// Получаем ID текущего сайта по алиасу(HTTP_HOST)
$alias_row = $site->GetAlias($domain);

if ($alias_row)
{
	$current_alias = $site->GetCurrentAlias($alias_row['site_id']);

	header("Content-Type: text/xml");
	$content = $kernel->GetUrl("http://{$current_alias}/sitemap/");
	$content = str_replace(">", ">\n", $content);
	$content = str_replace("</", "\n</", $content);
	echo $content;
}
?>